%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# This macro is used for the continuous automated builds. It just
# allows an extra fragment based on the timestamp to be appended
# to the release. This distinguishes automated builds, from formal
# Fedora RPM builds
%define _extra_release %{?dist:%{dist}}%{!?dist:%{?extra_release:%{extra_release}}}

%define appname pywbem

Summary: Python library to perform client operations using the WBEM  CIM-XML protocol
Name: python-%{appname}
Version: 0.7.0
Release: 1%{_extra_release}
Source0: http://downloads.sourceforge.net/%{appname}/%{appname}-%{version}.tar.gz
License: LGPLv2+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Url: http://pywbem.sf.net
Provides: python-pywebm
BuildRequires: python

%description
PyWBEM is a Python library for making CIM operations over HTTP using the
WBEM protocol. It is based on the idea that a good WBEM client should be
easy to use and not necessarily require a large amount of programming
knowlege. It is suitable for a large range of tasks from simply poking
around to writing Web and GUI applications.

%prep
%setup -q -n %{appname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT

%find_lang %{appname} || echo 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(-,root,root)
%doc README PKG-INFO
%dir %{python_sitelib}/%{appname}
%if 0%{?fedora}
%{python_sitelib}/%{appname}-*.egg-info
%endif
%{python_sitelib}/%{appname}/*.py*


%changelog
* Thu Mar 12 2009 Daniel Veillard <veillard@redhat.com> - 0.7.0-1
- Initial build

